function [A, b, b_GroundSegAll] = loadLearningMatrices(fileNumbers, featureType, whichData, chooseFactor, ...
    overlappingFlag, specialTmpFlag)

global timeStampErrorThreshold directoryPath nGridCol

A = [ ];
b = [ ];
b_GroundSegAll = [];
%-------------
for n=fileNumbers%[1:11 13:16] %[1 2 3]
    load([directoryPath featureType num2str(n) '.mat']);
    clear distanceVector;
    
    goodTrainingSet = timeStampMatchingError < timeStampErrorThreshold;
    %clear timeStampMatchingError;

    %HACK HACK HACK
    featureV = featureVector(:,:, find(goodTrainingSet) );
    if specialTmpFlag
        labeledD = labeledDistance(2:15, find(goodTrainingSet) );
    else
        labeledD = labeledDistance(:, find(goodTrainingSet) );
        %HACK HACK HACK
    end
  

    clear labeledDistance;
    labeledD_GroundSeg = permute(sum( featureVector(:,:,find(goodTrainingSet)), 1), [2 3 1]) + .1;
    clear featureVector;

    if whichData == 1
        chooseImages = find( mod(1:size(labeledD,2),chooseFactor) ~= 0);
    elseif whichData == 2
        chooseImages = find( mod(1:size(labeledD,2),chooseFactor) == 0);
    elseif whichData == 3
        chooseImages = 1:size(labeledD,2);
    end
    labeledD = labeledD(:, chooseImages);
    featureV = featureV(:,:, chooseImages); 
    labeledD_GroundSeg = labeledD_GroundSeg(:, chooseImages);
    size(featureV);
    
    if overlappingFlag
        featureOverlapped = zeros( size(featureV,1)*3, size(featureV,2), size(featureV,3) );
        for n=2:nGridCol-1
            featureOverlapped(:,n,:) = [featureV(:,n,:); featureV(:,n-1,:); featureV(:,n+1,:)];
        end
        featureOverlapped(:,1,:) = [featureV(:,1,:); featureV(:,1,:); featureV(:,2,:)];
        featureOverlapped(:,16,:) = [featureV(:,16,:); featureV(:,15,:); featureV(:,16,:)];
        if specialTmpFlag
            featureV = featureOverlapped(:,2:15,:);
        else
            featureV = featureOverlapped(:,:,:);
        end
    end
        
    b1 = log( reshape(labeledD, 1, size(labeledD,1)*size(labeledD,2)) )';
    b_GroundSeg = log( reshape(labeledD_GroundSeg, 1, size(labeledD_GroundSeg,1)*size(labeledD_GroundSeg,2)) )';
    
    A1 = reshape( featureV, size(featureV,1), size(featureV,2)*size(featureV,3))';
    clear featureV;
    clear labeledD;
        
    A = [A; A1];
    b = [b; b1];
    b_GroundSegAll = [b_GroundSegAll; b_GroundSeg];
end
clear b1 A1;

return;