%-------LASER-------------
warning off;
trainingCurve({'none'},'linear', 'laser', 0, 1);
warning on;

trainingCurve({'groundseg3'}, 'linear', 'laser', 0, 1);
trainingCurve({'purelaws'}, 'linear', 'laser', 0, 1);

trainingCurve({'laws'}, 'linear', 'laser', 0, 1);
trainingCurve({'harris'}, 'linear', 'laser', 0, 1);
trainingCurve({'radon'}, 'linear', 'laser', 0, 1);

trainingCurve({'laws' 'harris'}, 'linear', 'laser', 0, 1);
trainingCurve({'laws' 'groundseg3'}, 'linear', 'laser', 0, 1);
trainingCurve({'laws' 'radon'}, 'linear', 'laser', 0, 1);
trainingCurve({'harris' 'radon'}, 'linear', 'laser', 0, 1);

trainingCurve({'laws' 'harris' 'radon'}, 'linear', 'laser', 0, 1);
trainingCurve({'laws' 'harris' 'radon' 'groundseg3'}, 'linear', 'laser', 0, 1);

trainingCurve({'laws' 'radon' 'groundseg3'}, 'linear', 'laser', 0, 1);
trainingCurve({'laws' 'harris' 'groundseg3'}, 'linear', 'laser', 0, 1);

%----------GRAPHICS-------------
for n=9:12
    trainingCurve({'laws'}, 'linear', 'graphics', n, 1);
    %trainingCurve({'groundseg3'}, 'linear', 'graphics', n, 1);
    %trainingCurve({'laws' 'groundseg3'}, 'linear', 'graphics', n, 1);
end

trainingCurve({'laws' 'harris'}, 'linear', 'graphics', 5, 1);
trainingCurve({'laws' 'harris' 'groundseg3'}, 'linear', 'graphics', 5, 1);

%-------ROBUST ON LASER---------------------
trainingCurve({'laws' 'harris' 'radon' 'groundseg3'}, 'robust', 'laser', 0, 1);
trainingCurve({'laws' 'harris' 'radon'}, 'robust', 'laser', 0, 1);
