function w = trainData
close all, clear all

A = [ ];
b = [ ];
%-------------
for n=[1 3]
    load(['fullFeaturesTrainingData' num2str(n) '.mat']);
    clear distanceVector;
    
    goodTrainingSet = timeStampMatchingError < 0.2;
    clear timeStampMatchingError;
    
    featureV = featureVector(:,:, find(goodTrainingSet) );
    clear featureVector;
    
    labeledD = labeledDistance(:, find(goodTrainingSet) );
    clear labeledDistance;
    
    %b1 = log( reshape(labeledD, 1, size(labeledD,1)*sum(goodTrainingSet)) )';
    b1 = ( reshape(labeledD, 1, size(labeledD,1)*sum(goodTrainingSet)) )';
        
    A1 = reshape( featureV, size(featureV,1), size(labeledD,1)*sum(goodTrainingSet))';
    clear featureV;
    clear labeledD;
    %A1 = [repmat(1,size(A1,1),1) A1];
    
    A = [A; A1];
    b = [b; b1];
end
clear b1 A1;

size(b)
size(A)
% A w = b
% invM = pinv([A1; A2]);
% clear A1 A2;
% 
% w = invM * [b1; b2];
% clear b1 b2;

w = robustfit(A, b);
clear b;
clear A;

save weights1_robustfit.mat w;

return;