function createTrainingSet(featureType, nDataSet, filename)
%Field 1: 145 to 470
%then calibration
%Field 2: 710 to 1149
%then Field 3
%then return back through man-made structures

global directoryPath

if nargin < 1
    featureType = 'purelaws';
end
if nargin < 2
    nDataSet = 1;
end
%[directoryPath filename featureType '1.mat']
warning off;
if nDataSet >= 1
    %createFeatureVectorMatchedToLaser(dataset, imageIndex, makeMovieFlag, saveFilename, featureVectorType)
    disp('Set 1');
    disp([1 ...
    createFeatureVectorMatchedToLaser('laser1', [145 470], 0, [directoryPath filename featureType '1.mat'], featureType) ]);
    disp([2 ...
    createFeatureVectorMatchedToLaser('laser1', [710 1149], 0, [directoryPath filename featureType '2.mat'], featureType) ]);
    disp([3 ...
    createFeatureVectorMatchedToLaser('laser1', [1163 1380], 0, [directoryPath filename featureType '3.mat'], featureType) ]);
end
if nDataSet >= 2
    disp('Set 2')
    disp([4 ...
    createFeatureVectorMatchedToLaser('laser2', [840 1420], 0, [directoryPath filename featureType '4.mat'], featureType) ]);
    disp([5 ...
    createFeatureVectorMatchedToLaser('laser2', [1540 2500], 0, [directoryPath filename featureType '5.mat'], featureType) ]);
    disp([6 ...
    createFeatureVectorMatchedToLaser('laser2', [2501 3680], 0, [directoryPath filename featureType '6.mat'], featureType) ]);
    disp([7 ...
    createFeatureVectorMatchedToLaser('laser2', [3805 4035], 0, [directoryPath filename featureType '7.mat'], featureType) ]);
    disp([8 ...
    createFeatureVectorMatchedToLaser('laser2', [4900 5060], 0, [directoryPath filename featureType '8.mat'], featureType) ]);
    disp([9 ...
    createFeatureVectorMatchedToLaser('laser2', [8050 8470], 0, [directoryPath filename featureType '9.mat'], featureType) ]);
    disp([10 ...
    createFeatureVectorMatchedToLaser('laser2', [8670 9950], 0, [directoryPath filename featureType '10.mat'], featureType) ]);
    %    'good'
    disp([11 ...
    createFeatureVectorMatchedToLaser('laser2', [10000 11180], 0, [directoryPath filename featureType '11.mat'], featureType) ]);
    
    %disp([12 ...
    %createFeatureVectorMatchedToLaser('laser2', [11900 11925], 0, [directoryPath filename featureType '12.mat'], featureType) ]);

    %white trees
    disp([13 ...
    createFeatureVectorMatchedToLaser('laser2', [12800 13230], 0, [directoryPath filename featureType '13.mat'], featureType) ]);
    
    disp([14 ...
    createFeatureVectorMatchedToLaser('laser2', [14530 15200], 0, [directoryPath filename featureType '14.mat'], featureType) ]);
    disp([15 ...
    createFeatureVectorMatchedToLaser('laser2', [15350 15400], 0, [directoryPath filename featureType '15.mat'], featureType) ]);
    disp([16 ...
    createFeatureVectorMatchedToLaser('laser2', [15920 15968], 0, [directoryPath filename featureType '16.mat'], featureType) ]);
end

warning on;
return;