function [featureVector] = makeFeatureVectorGray(img, type, resizeFactor)
%this function returnd and displays feature vector from the image 

global nGridCol M N
global columnWidth

switch lower(type)
    case {'gray', 'y'}
        nChannels = 1;
    case {'rgb', 'ycbcr'}
        nChannels = 3;
end

switch lower(type)
    case {'ycbcr', 'y', 'gray'}
        img = rgb2ycbcr(img);
end

if true;%false%size(img,1) ~= M || size(img,2) ~= N
    img = imresize(img, [M*resizeFactor N], 'bilinear');
end

%columnWidth = size(img,2)/nGridCol;
featureVector = zeros(nChannels*size(img,1)*columnWidth, nGridCol);
for n=1:nGridCol
    %WHOLE RGB--------------------
    %featureVector(:,n) = reshape( permute(img(:, n*columnWidth-(columnWidth-1):n*columnWidth, :), [3 2 1]) ...
    %    , M*columnWidth*3, 1 );
        
   %SUBSAMPLE
   featureVector(:,n) = reshape( permute(img(:, n*columnWidth-(columnWidth-1):n*columnWidth, 1:nChannels), [3 2 1]) ...
        , nChannels*M*resizeFactor*columnWidth, 1 );
    size(featureVector);
     
end

return;